Package com.avaya.clientservices.call

## Class MinuteMessage

- java.lang.Object
- - com.avaya.clientservices.call.MinuteMessage

-     public class MinuteMessage
      extends java.lang.Object

  The MinuteMessage object represents a message that can be added to a conference using the meeting minutes service.

  This object could be updated through `MeetingMinutes.updateMinute` method.

  Not Supported

  The meeting minutes feature is currently not supported.

  This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

  See Also:
    `MeetingMinutes`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MinuteMessage.MinuteStatus` | States for a meeting minute message in a conference.
    `static class` | `MinuteMessage.MinuteType` | Types of minute message in the conference.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinuteMessage()` | Default constructor
    `MinuteMessage​(MinuteMessage message)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Capability` | `canDelete()` | `Capability` object indicating whether the local user can remove a particular meeting minute object from a conference.
    `boolean` | `equals​(java.lang.Object other)` |
    `java.lang.String` | `getContent()` | Returns content of particular meeting minute object.
    `Capability` | `getEditCapability()` | `Capability` object indicating whether the local user can edit a particular meeting minute object in a conference.
    `java.lang.String` | `getId()` | Returns the minute message ID associated with the particular minute object.
    `Participant` | `getSender()` | Returns `Participant` sender object of this minute message.
    `MinuteMessage.MinuteStatus` | `getStatus()` | Returns status of this minute message.
    `java.util.Date` | `getTime()` | Returns time of this minute creation.
    `MinuteMessage.MinuteType` | `getType()` | Returns type of this minute message.
    `int` | `hashCode()` |
    `boolean` | `isMine()` | Indicates whether given minute message object is minute added by local user.
    `boolean` | `isPersonal()` | Flag that indicates whether this is personal or not.
    `void` | `setContent​(java.lang.String content)` | Sets the text associated with the minute message.
    `void` | `setPersonal​(boolean personal)` | Sets flag that indicates whether this is personal minute message or not.
    `void` | `setType​(MinuteMessage.MinuteType type)` | Sets the type associated with the minute message.
    `java.lang.String` | `toString()` | The method returns a string that "textually represents" this object.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MinuteMessage

          public MinuteMessage()

      Default constructor

    - #### MinuteMessage

          public MinuteMessage​(MinuteMessage message)

      Copy constructor
      Parameters:
        `message` - The MinuteMessage being copied.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns the minute message ID associated with the particular minute object.
      Returns:
        minute message ID

    - #### getTime

          public java.util.Date getTime()

      Returns time of this minute creation.
      Returns:
        time.

    - #### getContent

          public java.lang.String getContent()

      Returns content of particular meeting minute object.
      Returns:
        content.

    - #### setContent

          public void setContent​(java.lang.String content)

      Sets the text associated with the minute message.
      Parameters:
        `content` - Minute message content.

    - #### getType

          public MinuteMessage.MinuteType getType()

      Returns type of this minute message.
      Returns:
        minute type.

    - #### setType

          public void setType​(MinuteMessage.MinuteType type)

      Sets the type associated with the minute message.
      Parameters:
        `type` - type of this minute message.

    - #### getSender

          public Participant getSender()

      Returns `Participant` sender object of this minute message.
      Returns:
        sender.

    - #### isPersonal

          public boolean isPersonal()

      Flag that indicates whether this is personal or not.
      Returns:
        true if it's personal, otherwise false.

    - #### setPersonal

          public void setPersonal​(boolean personal)

      Sets flag that indicates whether this is personal minute message or not.
      Parameters:
        `personal` - value.

    - #### getStatus

          public MinuteMessage.MinuteStatus getStatus()

      Returns status of this minute message.
      Returns:
        status.

    - #### isMine

          public boolean isMine()

      Indicates whether given minute message object is minute added by local user.
      Returns:
        true if minute belongs to the local user, otherwise false.

    - #### getEditCapability

          public Capability getEditCapability()

      `Capability` object indicating whether the local user can edit a particular meeting minute object in a conference.
      Returns:
        capability object describing whether the minute can be edited.
      See Also:
        `MeetingMinutes.updateMinute`, `Capability`

    - #### canDelete

          public Capability canDelete()

      `Capability` object indicating whether the local user can remove a particular meeting minute object from a conference.
      Returns:
        capability object describing whether the minute can be deleted.
      See Also:
        `MeetingMinutes.removeMinute`, `Capability`

    - #### toString

          public java.lang.String toString()

      The method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        text representation of this object

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`